TICKIT_RECTSET_TRANSLATE(3)

NAME
tickit_rectset_translate - move all the rectangles in a rectangle set

SYNOPSIS
    #include <tickit.h>

    void tickit_rectset_translate(TickitRectSet *trs, int downward, int rightward);

Link with -ltickit.

DESCRIPTION
tickit_rectset_translate() moves every rectangle in the rectangle set by the given offset. The number of rectangles in the set is not affected by this operation, and since the set has no concept of boundaries, no clipping will take place.

RETURN VALUE
tickit_rectset_translate() returns no value.

SEE ALSO
tickit_rectset_new(3), tickit_rectset(7), tickit_rect(7), tickit(7)